Difference between revisions of "Documentation/Nightly/FAQ/Extensions"

From Slicer Wiki
Jump to: navigation, search
(moved extensions index documentation to readthedocs)
Tags: 2017 source edit, Replaced
 
(9 intermediate revisions by 4 users not shown)
Line 1: Line 1:
 
<noinclude>{{documentation/versioncheck}}</noinclude>
 
<noinclude>{{documentation/versioncheck}}</noinclude>
<noinclude>__TOC__
 
={{#titleparts: {{PAGENAME}} | | -1 }}=</noinclude><includeonly>
 
{{#ifeq: {{#titleparts: {{PAGENAME}} | 3 }} | Documentation/{{documentation/version}}/Developers | | ='''User FAQ: {{{1}}}'''=}}
 
</includeonly>
 
== What is an extension ? ==
 
{{:Documentation/{{documentation/version}}/Extensions/Description}}
 
== What is the extensions catalog ? ==
 
{{:Documentation/{{documentation/version}}/Extensions/Catalog}}
 
  
== Why there are no windows 32-bit extensions available ?==
+
{{documentation/banner
 
+
| text  = [https://slicer.readthedocs.io/en/latest/user_guide/extensions_manager.html This page has been moved to read-the-docs.]
* Win 32 has a very limited amount of memory available to an application.
+
| background-color = 8FBC8F }}
* Many registration and segmentation algorithms fail on that platform because they run out of memory, when used with state of large data.
 
* Some of these failures are just that, some can crash slicer. Even though the "real" failure is  caused by overextending the capabilities of the hardware (in a way the users fault), it appears to the user that Slicer does not work.
 
* If you search the archives of slicer-users there are several such complaints until we started to discourage people to use 32 bit.
 
 
 
Discussion: http://massmail.spl.harvard.edu/public-archives/slicer-users/2013/006703.html
 
 
 
== Should I install the nightly version to access to last extension updates ? ==
 
 
 
If the extension developers contributed updates for the current stable release, you don't have to install the nightly version of Slicer. You can simply update the extension. Consider reading [[#How_to_update_an_already_installed_extension.3F|How to update an already installed extension ?]].
 
 
 
On the other hand, if the extension developers stopped to maintain the version of their extension built against the stable release (so that we can use the latest feature that will be in the next Slicer release), downloading the nightly is the only way to get the latest version of the extension.
 
 
 
== How to update an already installed extension? ==
 
 
 
Assuming updates extensions are available for your version of Slicer, extensions can either be updated manually or automatically.
 
 
 
See [[Documentation/4.5/SlicerApplication/ExtensionsManager#Updating_installed_extensions|Updating installed extensions]]
 
 
 
== How to manually download an extension package? ==
 
 
 
1) Get revision associated with your install or built Slicer (Menu -> Help -> About). The revision is a number preceded by ''r'' character, for example: if the complete version string is ''4.3.1-2014-09-14 r23677'' the revision is ''23677''
 
 
 
2) Open the extension catalog (app store). The default Slicer extension catalog is available at: http://slicer.kitware.com/midas3/slicerappstore
 
 
 
3) Select operating system, bitness and enter revision in the empty textbox between the bitness selector and the searchbox. If no revision is entered then the ''No extensions found'' message will be displayed.
 
 
 
4) Click ''Download'' button of the selected extension to download the extension package.
 
 
 
== How to manually install an extension? ==
 
 
 
1) Get the extension package matching your Slicer version.
 
 
 
2.a) Either install the extension package using the Slicer extension called "DeveloperToolsForExtensions"
 
 
 
2.b.i) Or extract the archive (zip or tar.gz) in a folder. You should then have a folder like:
 
 
 
/path/to/<slicer_revision>-<os>-<bitness>-<extension_name>-<extension_scm><extension_revision>-YYYY-MM-DD
 
 
 
containing one or more of the following folders:
 
 
 
lib/Slicer-X.Y/cli-modules
 
lib/Slicer-X.Y/qt-loadable-modules
 
lib/Slicer-X.Y/qt-scripted-modules
 
 
 
For more details: [[Documentation/{{documentation/version}}/Developers/DirectoryStructure]]
 
 
 
2.b.ii) There are two options:
 
 
 
2.b.ii.a) In the Module settings (Menu -> Edit -> Settings), add all existing paths ending with:
 
 
 
lib/Slicer-X.Y/cli-modules
 
lib/Slicer-X.Y/qt-loadable-modules
 
lib/Slicer-X.Y/qt-scripted-modules
 
 
 
2.b.ii.b) Start Slicer specifying the option <code>--additional-module-paths</code> with all existing paths listed in 4.a.
 
 
 
== How to create a custom Slicer version with selected extensions pre-installed? ==
 
 
 
1) Download and install Slicer
 
 
 
2) Install all necessary extensions manually (as described above) in <slicer_install_dir>/lib/Slicer-X.Y/...
 
 
 
3) If all the files in <slicer_install_dir> are copied to any other folder/computer/USB drive/portable storage device then Slicer can be launched by running the Slicer executable in the main directory. No installation or administrative access rights are necessary. Slicer can even be launched directly from a USB drive, without copying files to the computer.
 

Latest revision as of 01:05, 23 March 2021

Home < Documentation < Nightly < FAQ < Extensions

For the stable Slicer documentation, visit the 4.10 page.

This page has been moved to read-the-docs.